Associate transaction with case
curl --request POST \
--url https://billing.platform.arb.inc/_internal/transactions/set-case \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactionID": "8f3d9b7a-2c1e-4f6a-9d8b-3e7f6a5c4d2b",
"caseID": "2025-08-00292",
"partyID": "claimant"
}
'import requests
url = "https://billing.platform.arb.inc/_internal/transactions/set-case"
payload = {
"transactionID": "8f3d9b7a-2c1e-4f6a-9d8b-3e7f6a5c4d2b",
"caseID": "2025-08-00292",
"partyID": "claimant"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactionID: '8f3d9b7a-2c1e-4f6a-9d8b-3e7f6a5c4d2b',
caseID: '2025-08-00292',
partyID: 'claimant'
})
};
fetch('https://billing.platform.arb.inc/_internal/transactions/set-case', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}_internal
Associate transaction with case
Associates a transaction with a case ID and optional party ID after creation. This is primarily used for case creation where the charge happens before the case exists. Requires billing.transactions.creator permission.
POST
/
_internal
/
transactions
/
set-case
Associate transaction with case
Authorizations
access token
Body
application/json
ID of the transaction to update
Example:
"8f3d9b7a-2c1e-4f6a-9d8b-3e7f6a5c4d2b"
Case ID to associate with the transaction (max 20 characters)
Example:
"2025-08-00292"
Optional party ID to associate with the transaction (max 20 characters)
Example:
"claimant"
Response
Transaction successfully updated
Example:
"ok"
⌘I